clear all; close all;

global Q
BoardSize = 6;

Q = 0*ones(BoardSize,BoardSize,4); 
E = Q;

% default values
finish=0;
XDir = [-1 -1 0 +1 +1 +1 0 -1]; % counter clockwise directions starting from West
YDir = [0 +1 +1 +1 0 -1 -1 -1];

x = 1;
y = 1;
B = initboard(BoardSize,x,y);
status = 1;
B = obstacles(B); flipud(B');

save gridworld B BoardSize; 
Q = zeros(BoardSize,BoardSize,4);
load gridworld B BoardSize

figure(2); clf;
set(gcf,'pos',[6 340 393 188]);

alpha = 1;
gamma = 0.95;
lambda = .5;
epsilon = 0.3;

kk = NaN*zeros(10,1);
for j = 1 : 100, 
    gw_learn;
    kk(j) = k; 
    if j > 4, 
        if ~any(diff(kk(j:-1:j-4))), 
        end; 
    end;
    figure(2);
    h = stairs(kk);
    set(h,'linewidth',2);
end; 

figure(2); clf;
h = stairs(kk);
set(h,'linewidth',2);
